const path = require('path');
const fs = require('fs');


const previewPages = fs.readdirSync(path.join(__dirname, '..', 'pages')) // eslint-disable-line no-sync
  .filter(filename => filename.includes('.hbs') && filename !== 'index.hbs')
  .map(filename => filename.replace(/\.hbs/, ''));


module.exports = {
  previewPages,
  data: {
    article: require('../data/article'),
    page: require('../data/page'),
    issue: require('../data/issue')
  }
};
