/**
 * Simple server to serve the design to a livingdocs instance.
 */

 const express = require('express');
 const app = express();

 const port = process.env.LIDO_DESIGN_SERVER_PORT || 3000; 

 app.get('/designs', (req, res) => {
     res.json({
         "designs": [
             "szdigital"
         ]
     })
 })

 app.get('/designs/szdigital', (req, res) => {
    res.json({
        "versions": [
            "0.0.1" //TODO: Load the version from the file
        ]
    })
 })

 app.listen(port);
 console.log(`LivingDocs Design served at port ${port}`)